## ocaml-gavl 0.1.6

=== examples/Makefile ===
# OCaml-speex examples.
#
# Copyright 2008 by the Savonet team.
#

all clean:
	$(MAKE) -f Makefile.test_convert $@

distclean: clean
	rm -rf autom4te.cache config.log config.status autom4te.cache
	rm -f test_convert

## ocaml-gavl 0.1.4

=== debian/changelog ===
ocaml-gavl (0.1.4-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:48:38 +0000

ocaml-gavl (0.1.4-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:27:36 -0600

ocaml-gavl (0.1.4-1) unstable; urgency=low

  * New upstream version.
  * Bumped standard version to 3.9.2 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 May 2011 16:21:19 -0500

ocaml-gavl (0.1.3-2) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:30:44 -0600

ocaml-gavl (0.1.3-1) experimental; urgency=low

  [ Stéphane Glondu ]
  * Bump build-dependency to libgavl-dev

  [ Romain Beauxis ]
  * New upstream release.
  * Upload to experimental now that squeeze is frozen.
  * Bumped standards version to 3.9.1

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 Aug 2010 13:47:10 -0500

ocaml-gavl (0.1.2-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Use ocaml.mk as a CDBS "rules" file (Closes: #549843)

  [ Samuel Mimram ]
  * Correct typo in description, closes: #531023.

  [ Romain Beauxis ]
  * New upstream release. 
  * Bumped standards version to 3.8.3
  * Changed section to ocaml
  * Switched to new automatic dependency system.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 03:51:21 -0500

ocaml-gavl (0.1.1-2) unstable; urgency=low

  * Added missing .a files to libgavl-ocaml-dev. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 18 May 2009 23:27:37 +1100

ocaml-gavl (0.1.1-1) unstable; urgency=low

  * New upstream release, fixes license inconsistence. 

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 30 Mar 2009 18:36:23 +0200

ocaml-gavl (0.1.0-1) unstable; urgency=low

  * Initial upload to unstable (Closes: #515808)

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 30 Mar 2009 16:16:32 +0200

=== debian/control ===
Source: ocaml-gavl
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), 
               libgavl-dev (>= 1.0.1), ocaml-findlib (>= 1.2.4),
               pkg-config
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-gavl.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-gavl.git

Package: libgavl-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the gavl library
 This package provides an interface to the gavl library for
 OCaml programmers.
 .
 Gavl handles all the details of audio and video formats like colorspaces,
 samplerates, multichannel configurations etc. It provides standardized
 definitions for those formats as well as container structures for carrying
 audio samples or video images inside an application.
 .
 This package contains only the shared runtime stub libraries.

Package: libgavl-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libgavl-dev, 
         libgavl-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml interface to the gavl library
 This package provides an interface to the gavl library for
 OCaml programmers.
 .
 Gavl handles all the details of audio and video formats like colorspaces,
 samplerates, multichannel configurations etc. It provides standardized
 definitions for those formats as well as container structures for carrying
 audio samples or video images inside an application.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-gavl.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DESTDIR = $(CURDIR)/debian/tmp$(shell ocamlc -where)
DEB_CONFIGURE_SCRIPT  := ./configure
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore
DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_DH_INSTALL_ARGS :=  --list-missing

build/libgavl-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf Makefile src/Makefile src/META doc config.log config.status \
	       .pc config.h

## ocaml-gavl 0.1.5

=== debian/changelog ===
ocaml-gavl (0.1.5-2build5) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:32:17 +0000

ocaml-gavl (0.1.5-2build4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:00:34 +0200

ocaml-gavl (0.1.5-2build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:35 +0100

ocaml-gavl (0.1.5-2build2) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 12:24:05 -0600

ocaml-gavl (0.1.5-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:16:55 +0000

ocaml-gavl (0.1.5-2) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:06:33 -0500

ocaml-gavl (0.1.5-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental. 
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Apr 2013 21:56:14 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ocaml-gavl
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), 
                libgavl-dev (>= 1.0.1), ocaml-findlib (>= 1.2.4),
                pkg-config
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-gavl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-gavl.git

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/ocaml.mk
-
-# In order to regenerate 'debian/control' :
-#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
-# Then check manually if everything's ok
 
 DESTDIR = $(CURDIR)/debian/tmp$(shell ocamlc -where)
 DEB_CONFIGURE_SCRIPT  := ./configure

## ocaml-gavl 0.1.6

=== debian/changelog ===
ocaml-gavl (0.1.6-2build6) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 02 Jul 2025 06:18:07 +0200

ocaml-gavl (0.1.6-2build5) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 14:57:31 +0200

ocaml-gavl (0.1.6-2build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 00:51:52 +0100

ocaml-gavl (0.1.6-2build3) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Aug 2024 09:38:24 +0200

ocaml-gavl (0.1.6-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:13:35 +0200

ocaml-gavl (0.1.6-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:11:26 +0100

ocaml-gavl (0.1.6-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Depend on ocaml instead of transitional ocaml-nox
  * Bump Standards-Version to 4.6.2

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 Sep 2023 10:04:32 +0200

ocaml-gavl (0.1.6-1) unstable; urgency=medium

  * Team upload
  * Remove Samuel and Romain from Uploaders
  * Update Homepage and debian/watch
  * New upstream release
  * Update Vcs-* to point to salsa
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Aug 2020 10:37:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: ocaml-gavl
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
-Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), 
-               libgavl-dev (>= 1.0.1), ocaml-findlib (>= 1.2.4),
-               pkg-config
-Standards-Version: 3.9.4
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-gavl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-gavl.git
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ ocaml,
+ dh-ocaml,
+ libgavl-dev (>= 1.0.1),
+ ocaml-findlib,
+ pkg-config
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://github.com/savonet/ocaml-gavl
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gavl.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gavl
 
 Package: libgavl-ocaml
 Architecture: any
@@ -29,7 +32,7 @@
 
 Package: libgavl-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, libgavl-dev, 
+Depends: ${ocaml:Depends}, libgavl-dev,
          libgavl-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml interface to the gavl library

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-gavl/releases .*ocaml-gavl-([0-9.]+)\.tar\.gz
